# Module

s-dashboard-reactjs

## Usage

```javascript
import SDashboard, { GetItemsParameters, SDashboardItemSetting, GetChartDataParameters } from 's-dashboard-reactjs';

const getItemsAsync = async (arg: GetItemsParameters): Promise<Array<SDashboardItemSetting>>  => {
    // do you stuff
    console.log('dashboardCode', arg.dashboardCode);
    return [];
};

const getChartDataAsync = async (arg: GetChartDataParameters): Promise<Array<Record<string, number | string>>> => {
    // do you stuff
    console.log('chart item id', arg.id);
    return [];
};

<SDashboard dashboardCode='dashboard-x' configuration={{
    fnGetItemsAsync: getItemsAsync,
    fnGetChartDataAsync: getChartDataAsync
}} />
```
